import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { MenuItem } from '../../interfaces/menu-item.interface';

@Component({
  selector: 'shared-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.css']
})
export class NavigationComponent implements OnInit {

  constructor(private activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    // TODO: Subscribe to the title of the current route
    this.activatedRoute.title.subscribe(title => {
      this.titleRoute = title;
    });
  }

  public titleRoute?: string;

  @Input()
  public navigationItems: MenuItem[] = [];

  @Output()
  public toggleSidebarEvent: EventEmitter<void> = new EventEmitter<void>();

  toggleSidebar():void {
    this.toggleSidebarEvent.emit();
  }

}
